corda / net.corda.core.node.services / TimestampChecker

# TimestampChecker

`class TimestampChecker`

Checks if the given timestamp falls within the allowed tolerance interval.

### Constructors

<init> | `TimestampChecker(clock: Clock = Clock.systemUTC(), tolerance: Duration = 30.seconds)` Checks if the given timestamp falls within the allowed tolerance interval.

### Properties

clock | `val clock: Clock`
tolerance | `val tolerance: Duration`

### Functions

isValid | `fun isValid(timestampCommand: Timestamp): Boolean`